Bug 602298 - SELinux is preventing /usr/sbin/proftpd "ipc_lock" access .
SELinux is preventing /usr/sbin/proftpd "ipc_lock" access .
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
13
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:389c5844b89...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-09 10:36 EDT by Cliff Moore
Modified: 2010-06-23 13:48 EDT (History)
2 users (show)

See Also:
Fixed In Version: selinux-policy-3.7.19-28.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-23 13:48:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Cliff Moore 2010-06-09 10:36:59 EDT
Summary:

SELinux is preventing /usr/sbin/proftpd "ipc_lock" access .

Detailed Description:

[SELinux is in permissive mode. This access was not denied.]

SELinux denied access requested by proftpd. It is not expected that this access
is required by proftpd and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:ftpd_t:s0-s0:c0.c1023
Target Context                system_u:system_r:ftpd_t:s0-s0:c0.c1023
Target Objects                None [ capability ]
Source                        proftpd
Source Path                   /usr/sbin/proftpd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           proftpd-1.3.3-1.fc13
Target RPM Packages           
Policy RPM                    selinux-policy-3.7.19-23.fc13
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux fedora13.540n 2.6.33.5-112.fc13.i686 #1 SMP
                              Thu May 27 03:11:56 UTC 2010 i686 i686
Alert Count                   1
First Seen                    Wed 09 Jun 2010 05:58:19 AM PDT
Last Seen                     Wed 09 Jun 2010 05:58:19 AM PDT
Local ID                      b73a30ad-e5e2-4050-bc22-9563899635c3
Line Numbers                  

Raw Audit Messages            

node=fedora13.540n type=AVC msg=audit(1276088299.391:9): avc:  denied  { ipc_lock } for  pid=1391 comm="proftpd" capability=14  scontext=system_u:system_r:ftpd_t:s0-s0:c0.c1023 tcontext=system_u:system_r:ftpd_t:s0-s0:c0.c1023 tclass=capability

node=fedora13.540n type=SYSCALL msg=audit(1276088299.391:9): arch=40000003 syscall=150 success=yes exit=0 a0=8e91000 a1=400 a2=8e90328 a3=8e91000 items=0 ppid=1390 pid=1391 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="proftpd" exe="/usr/sbin/proftpd" subj=system_u:system_r:ftpd_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  catchall,proftpd,ftpd_t,ftpd_t,capability,ipc_lock
audit2allow suggests:

#============= ftpd_t ==============
allow ftpd_t self:capability ipc_lock;
Comment 1 Daniel Walsh 2010-06-09 15:56:52 EDT
Miroslav, add it.
Comment 2 Miroslav Grepl 2010-06-09 17:02:18 EDT
Fixed in selinux-policy-3.7.19-27.fc13
Comment 3 Fedora Update System 2010-06-14 15:30:30 EDT
selinux-policy-3.7.19-28.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-28.fc13
Comment 4 Fedora Update System 2010-06-15 12:00:30 EDT
selinux-policy-3.7.19-28.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-28.fc13
Comment 5 Fedora Update System 2010-06-23 13:47:24 EDT
selinux-policy-3.7.19-28.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.